<?php
include("cls_conexion.php");$CNN=new ClsMySQL();include("conexion23.php");
$CM=V($_GET['CM']);
$SE=V($_GET['P1']);
$NU=V($_GET['P2']);
$HW=V($_GET['P3']);
$TI=V($_GET['TIE']);
$KO="";
//
function Y($s){
	if(strlen($s)==0){
		$s="<";
	}else{
		$s=strtoupper($s);
	}
	return $s;
}
//
function GET_VENTA($VEN_ID){
	$Z="|";
	$DET="";
	$TIE=Y(gs("ALM","wis_ventas","ID=$VEN_ID"));
	$FEC=Y(gs("FEC_","wis_ventas","ID=$VEN_ID"));
	$COM=Y(gs("COM","wis_ventas","ID=$VEN_ID"));
	$SER=Y(gs("SER","wis_ventas","ID=$VEN_ID"));
	$NUM=Y(gs("NUM","wis_ventas","ID=$VEN_ID"));
	$CLI=Y(gs("CLI","wis_ventas","ID=$VEN_ID"));
	$RUC=Y(gs("RUC","wis_ventas","ID=$VEN_ID"));
	$DNI=Y(gs("DNI","wis_ventas","ID=$VEN_ID"));
	$STO=Y(NF2(gn("STO","wis_ventas","ID=$VEN_ID"),2));
	$IGV=Y(NF2(gn("IGV","wis_ventas","ID=$VEN_ID"),2));
	$TOT=Y(NF2(gn("TOT","wis_ventas","ID=$VEN_ID"),2));
	$USU=Y(gs("USU","wis_ventas","ID=$VEN_ID"));
	$TDP=Y(gs("TDP","wis_ventas","ID=$VEN_ID"));
	$ACU=Y(NF2(gn("DNI","wis_ventas","ID=$VEN_ID"),2));
	$VUE=Y(NF2(gn("VUE","wis_ventas","ID=$VEN_ID"),2));
	$ANU=Y(gs("TDP","wis_ventas","ID=$VEN_ID"));
	$SON=Y(n2l(gn("TOT","wis_ventas","ID=$VEN_ID")));
	$BIR=Y(gs("DIR","wis_ventas","ID=$VEN_ID"));
	//QUITAR NUEVOS
	//
	$CAB=$Z.$TIE.$Z.$FEC.$Z.$COM.$Z.$SER.$Z.$NUM.$Z.$CLI.$Z.$RUC.$Z.$DNI.$Z.$STO.$Z.$IGV.$Z.$TOT.$Z.$USU.$Z.$TDP.$Z.$ACU.$Z.$VUE.$Z.$ANU.$Z.$SON.$Z.$BIR.$Z;
	//
	$DET="=";
	$s="SELECT * FROM wis_ventas_det WHERE ID=$VEN_ID ORDER BY CX";
	$rs= grs($s);
	while ($r = $rs->fetch_assoc()){
		$COD=Y($r['COD']);
		$LIN=Y($r['LIN']);
		$DES=Y($r['MODELO']." ".$r['DES']);
		$MAR=Y($r['MAR']);
		$CAN=Y($r['CAN']);
		$PRE=Y(NF2($r['PRE'],2));
		$IMP=Y(NF2($r['IMP'],2));
		$DAT=$COD.$Z.$LIN.$Z.$DES.$Z.$MAR.$Z.$CAN.$Z.$PRE.$Z.$IMP.$Z;
		$DET=$DET.$DAT."=";			
	}
	$DAT="'".$CAB."'".$DET."'";		
	return $DAT;
}
//
if($CM=="TIENDAS"){
	$LT="|";
	$s="SELECT alm_obs as TIE FROM almacenes WHERE id_almacen>0 ORDER BY alm_obs";
	$rs= grs($s);
	while ($r =$rs->fetch_assoc()){
		$LT=$LT.$r['TIE']."|";
	}	
	if(strlen($LT)==1){
		$LT="'|XX|'";
	}else{
		$LT="'".$LT."'";
	}
	echo $LT;
	return;
}
//
if($CM=="X"){
	$VEN_ID=vbval($SE);
	$CX=gn("count(*)","wis_ventas","ID=$VEN_ID");
	if($CX==0){
		echo "'NR'";
		return;
	}else{
		echo GET_VENTA($VEN_ID);
	}
}
//
if($CM=="F"){
	$KO="FACTURA";
}
if($CM=="B"){
	$KO="BOLETA";
}
if($CM=="N"){
	$KO="NOTA DE VENTA";
}
//
if(strlen($KO)>0){
	$SE_=vbval($SE);
	$NU_=vbval($NU);
	if(strlen($TI)==0){
		$VEN_ID=gn("ID","wis_ventas","COM='$KO' AND ISER=$SE_ AND INUM=$NU_ ");
	}else{
		$VEN_ID=gn("ID","wis_ventas","COM='$KO' AND ISER=$SE_ AND INUM=$NU_ AND ALM='$TI' ");
	}
	if($VEN_ID==0){
		echo "'NR'";
		return;
	}else{
		echo GET_VENTA($VEN_ID);
	}
}
?>






